Subject: Re: [netmod] WG Last Call: draft-ietf-netmod-intf-ext-yang-07

From: Qin Wu <[email-masked]>
Date: Mon, 19 Aug 2019 09:23:28 +0000

I have reviewed this document and have a few comments as follows:
1. Suggest to add references for imported module
2. Suggest to add a paragraph in the section 5 to explain which common type or type in specific module is imported
3. s/ reference "Internet draft: draft-ietf-netmod-intf-ext-yang-07";/ reference "RFCxxxx: Common Interface Extension YANG Data Models";
4. I am not sure L2 MTU is common attribute applicable to all packet frame based interface, in most case, we are using L3 MTU.
>From the definition of L2 MTU
" A layer 2 MTU configuration leaf (l2-mtu) is provided to specify the maximum size of a layer 2 frame that may be transmitted or received
on an interface. "
I am wondering this L2 MTU is related to Maximum Receive Unit defined in RFC4638. If the answer is YES, I would suggest to rename it, but it is still not clear whether it should be
An common attribute part of ietf-interfaces-common.
If it is No, I am wondering why L2 MTU is not augmented from IP address management module which define common MTU attribute, also it is not clear to me if ietf-interfaces-common
Is positioned as technology specific model? When we choose to use MTU defined in RFC8344 and when we should choose to use L2 MTU defined in draft-ietf-netmod-intf-ext-yang-07.
I think L3 MTU is common and widely deployed and supported by most of implementations. But go to L2 MTU:
"
The payload MTU available to higher layer protocols is either
derived from the layer 2 MTU, taking into account the size of
the layer 2 header, or is further restricted by explicit layer
3 or protocol specific MTU configuration.";
"
You add a lot of flexibility or multiple options, therefore I think it is hard to implement it.

-Qin
-----Original Message-----
From: netmod <[email-masked]> On Behalf Of Kent Watsen
Sent: 2019. július 10., szerda 2:15
To: [email-masked]
Subject: [netmod] WG Last Call: draft-ietf-netmod-intf-ext-yang-07

All,

This starts a twelve-day working group last call for
draft-ietf-netmod-intf-ext-yang-07

The working group last call ends on July 21 (the day before the NETMOD 105 sessions).  Please send your comments to the working group mailing list.

Positive comments, e.g., "I've reviewed this document and believe it is ready for publication", are welcome!  This is useful and important, even from authors.

Thank you,
NETMOD Chairs
_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod